package com.blueland.bpm.engine.core.model;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import com.blueland.bpm.common.page.PageRequest;
import com.blueland.bpm.common.util.DateConvertUtils;
/**
 * 流程查询对象
 * 
 * @version: 1.0
 * @author lw
 */
public class SearchProcessListDTO extends PageRequest{
	public static final String FORMAT_CREATE_TIME = "yyyy-MM-dd HH:mm:ss";
	private String title;
	private String processInstanceId;
	private String processDefId;
	private String processDefKey; 
	private Integer procState;
	private String processDefName;
	private String flowType;
	private Date startTime;
	private Date endTime;
	private String tenantId;
	private String userId;
	private Map otherSearchMap=new HashMap();
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	public String getStartTimeString() {
		return DateConvertUtils.format(getStartTime(), FORMAT_CREATE_TIME);
	}
	public String getEndTimeString() {
		return DateConvertUtils.format(getEndTime(), FORMAT_CREATE_TIME);
	}
	
	public Date getEndTime() {
		return endTime;
	}
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	public String getFlowType() {
		return flowType;
	}
	public void setFlowType(String flowType) {
		this.flowType = flowType;
	}
	public Map getOtherSearchMap() {
		return otherSearchMap;
	}
	public void setOtherSearchMap(Map otherSearchMap) {
		this.otherSearchMap = otherSearchMap;
	}
	public String getProcessInstanceId() {
		return processInstanceId;
	}
	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	public String getProcessDefId() {
		return processDefId;
	}
	public void setProcessDefId(String processDefId) {
		this.processDefId = processDefId;
	}
	public String getProcessDefName() {
		return processDefName;
	}
	public void setProcessDefName(String processDefName) {
		this.processDefName = processDefName;
	}
	public String getTenantId() {
		return tenantId;
	}
	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getProcessDefKey() {
		return processDefKey;
	}
	public void setProcessDefKey(String processDefKey) {
		this.processDefKey = processDefKey;
	}
	public Integer getProcState() {
		return procState;
	}
	public void setProcState(Integer procState) {
		this.procState = procState;
	}
	
}
